/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
/*******************************************************************************
    Page loader
*******************************************************************************/
/*.loader-page {
    background: url("images/loader_64.gif") no-repeat center center  transparent;
    width: 64px;
    height: 64px;
    position: absolute;
    top: 50%;
    margin-top: -32px;
    margin-left: 100px;
    left: 50%;
   
}*/
.loader-page {
  width: 50px;
  height: 180px;
  position: absolute;
  top: 50%;
  margin-top: -100px;
  margin-left: 75px;
  left: 50%;
}
.loader-page .text {
  display: inline-block;
  font-size: 14px;
  margin-left: 80px;
  margin-top: 125px;
  color: #888;
  white-space: nowrap;
}
.loader-page img {
  position: absolute;
  top: 102px;
  width: 64px;
  height: 64px;
}
.romb {
  width: 40px;
  height: 40px;
  -ms-transform: rotate(135deg) skew(20deg, 20deg);
  -webkit-transform: rotate(135deg) skew(20deg, 20deg);
  -moz-transform: rotate(135deg) skew(20deg, 20deg);
  -o-transform: rotate(135deg) skew(20deg, 20deg);
  background: red;
  border-radius: 6px;
  animation: movedown 3s infinite ease;
  -moz-animation: movedown 3s infinite ease;
  -webkit-animation: movedown 3s infinite ease;
  -o-animation: movedown 3s infinite ease;
  -ms-animation: movedown 3s infinite ease;
  position: absolute;
}
.romb.blue {
  background: #55bce6;
  z-index: 3;
  animation-name: blue;
}
.romb.red {
  background: #de7a59;
  z-index: 1;
  animation-name: red;
}
.romb.green {
  background: #a1cb5c;
  z-index: 2;
  animation-name: green;
}
@keyframes red {
  0% {
    top: 120px;
    background: #de7a59;
  }
  10% {
    top: 120px;
    background: #F2CBBF;
  }
  14% {
    background: #fff;
    top: 120px;
  }
  15% {
    background: #fff;
    top: 0;
  }
  20% {
    background: #E6E4E4;
  }
  30% {
    background: #D2D2D2;
  }
  40% {
    top: 120px;
  }
  100% {
    top: 120px;
    background: #de7a59;
  }
}
@keyframes green {
  0% {
    top: 110px;
    background: #a1cb5c;
    opacity: 1;
  }
  10% {
    top: 110px;
    background: #CBE0AC;
    opacity: 1;
  }
  14% {
    background: #fff;
    top: 110px;
    opacity: 1;
  }
  15% {
    background: #fff;
    top: 0;
    opacity: 1;
  }
  20% {
    background: #ffffff;
    top: 0;
    opacity: 0;
  }
  25% {
    background: #EFEFEF;
    top: 0;
    opacity: 1;
  }
  30% {
    background: #E6E4E4;
  }
  70% {
    top: 110px;
  }
  100% {
    top: 110px;
    background: #a1cb5c;
  }
}
@keyframes blue {
  0% {
    top: 100px;
    background: #55bce6;
    opacity: 1;
  }
  10% {
    top: 100px;
    background: #BFE8F8;
    opacity: 1;
  }
  14% {
    background: #fff;
    top: 100px;
    opacity: 1;
  }
  15% {
    background: #fff;
    top: 0;
    opacity: 1;
  }
  20% {
    background: #ffffff;
    top: 0;
    opacity: 0;
  }
  25% {
    background: #ffffff;
    top: 0;
    opacity: 0;
  }
  45% {
    background: #EFEFEF;
    top: 0;
    opacity: 0,2;
  }
  100% {
    top: 100px;
    background: #55bce6;
  }
}
.loader-page.static .romb {
  animation: none;
  -moz-animation: none;
  -webkit-animation: none;
  -o-animation: none;
  -ms-animation: none;
  animation-name: none;
}
.loader-page.static .romb.blue {
  top: 100px;
  background: #55bce6;
}
.loader-page.static .romb.red {
  top: 120px;
  background: #de7a59;
}
.loader-page.static .romb.green {
  top: 110px;
  background: #a1cb5c;
}
